<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     tiny_ai
 * @category    string
 * @copyright   2024, ISB Bayern
 * @author      Dr. Peter Mayer
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additional_prompt'] = 'Additional Propmt';
$string['aigenerating'] = 'AI is generating...';
$string['aisuggestion'] = 'AI suggestion';
$string['ai:view'] = 'View the AI button';
$string['audiogen_headline'] = 'Generate audio from text';
$string['audiogen_placeholder'] = 'Type or insert text which should be converted into audio';
$string['back'] = 'Back';
$string['backbutton_tooltip'] = 'Back to the previous page';
$string['cancel'] = 'Cancel';
$string['deletebutton_tooltip'] = 'Dismiss current result and go back to the preferences page';
$string['describe_headline'] = 'Detailed description of the selected text';
$string['dismiss'] = 'Dismiss';
$string['dismisssuggestion'] = 'Do you want to dismiss the AI suggestion?';
$string['describe_baseprompt'] = 'Describe the following text';
$string['errorwithcode'] = 'An error occured with error code {$a}';
$string['error_nopromptgiven'] = 'No prompt given. Please insert a prompt.';
$string['error_tiny_ai_notavailable'] = 'The AI features are not availeble for you.';
$string['freepromptbutton_tooltip'] = 'Generate AI answer';
$string['freeprompt_placeholder'] = 'Give the AI any order for generating text...';
$string['gender'] = 'Gender';
$string['generalerror'] = 'Ein Fehler ist aufgetreten';
$string['generate'] = 'Generate now';
$string['generatebutton_tooltip'] = 'Let the AI generate an answer';
$string['generating'] = 'The AI answer is being generated...';
$string['hideprompt'] = 'Hide prompt';
$string['imggen_headline'] = 'Image generation';
$string['imggen_placeholder'] = 'Insert or paste description of the image here, for example "Generate a photorealistic image of a monkey that holds a pen in one hand and wears a hat on the head"';
$string['insertatcaret'] = 'Insert at current position';
$string['insertatcaret_tooltip'] = 'Insert current result at the cursor\'s current position';
$string['insertbelow'] = 'Insert below';
$string['insertbelow_tooltip'] = 'Append current result to the editor content';
$string['keeplanguagetype'] = 'Keep language type';
$string['languagetype'] = 'Language type';
$string['languagetype_prompt'] = 'The text must use {$a}';
$string['mainselection_heading'] = 'What should the AI help you with?';
$string['maxwordcount'] = 'Maximum amount of words';
$string['maxwordcount_prompt'] = 'The text must not contain more than {$a} words';
$string['more_options'] = 'More Options';
$string['nomaxwordcount'] = 'No limit';
$string['nopurposesconfigured'] = 'No AI tools have been configured. Talk to your ByCS admin.';
$string['pluginname'] = 'AI tools';
$string['prompt'] = 'Prompt';
$string['regeneratebutton_tooltip'] = 'Edit prompt and regenerate the result';
$string['replaceselection'] = 'Replace selection';
$string['replaceselection_tooltip'] = 'Replace current selection with the current result';
$string['results_heading'] = 'Result';
$string['results_please_wait'] = 'Please wait! This may take a few seconds.';
$string['reworkprompt'] = 'Rework prompt';
$string['selectionbarbuttontitle'] = 'Use AI tools for selected text';
$string['showprompt'] = 'Show prompt';
$string['showpromptbutton_tooltip'] = 'Show or hide prompt';
$string['simplelanguage'] = 'Simple language';
$string['size'] = 'Size';
$string['summarize_headline'] = 'Summarize the selected text';
$string['summarize_baseprompt'] = 'Summarize the following text';
$string['targetlanguage'] = 'Target language';
$string['technicallanguage'] = 'Technical language';
$string['texttouse'] = 'The text reads';
$string['toolbarbuttontitle'] = 'AI tools';
$string['toolname_audiogen'] = 'Audio generation';
$string['toolname_describe'] = 'Detailed description';
$string['toolname_describe_extension'] = 'of the selected text';
$string['toolname_imggen'] = 'Image generation';
$string['toolname_summarize'] = 'Summarize';
$string['toolname_summarize_extension'] = 'the selected text';
$string['toolname_translate'] = 'Translate';
$string['toolname_translate_extension'] = 'the selected text';
$string['toolname_tts'] = 'Create audio';
$string['toolname_tts_extension'] = 'from the selected text';
$string['translate_headline'] = 'Translate the selected text';
$string['translate_baseprompt'] = 'Translate the following text to the language {$a} and only return the translated text';
$string['tts_headline'] = 'Generate audio from selected text';
$string['voice'] = 'Voice';
